Bug 1872911 - RHV Administration Portal fails with 404 error even after updating to RHV 4.3.9
Summary: RHV Administration Portal fails with 404 error even after updating to RHV 4.3.9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.9
Hardware: All
OS: All
unspecified
high
Target Milestone: ovirt-4.4.3
: 4.4.3
Assignee: Arik
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-26 22:04 UTC by Robert McSwain
Modified: 2020-11-24 13:10 UTC (History)
4 users (show)

Fixed In Version: rhv-4.4.3-3
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 13:10:05 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5179 0 None None None 2020-11-24 13:10:26 UTC
oVirt gerrit 110989 0 master MERGED webadmin: Fix NPE that may raise in SubTabHostVmView 2020-12-19 19:23:41 UTC

Description Robert McSwain 2020-08-26 22:04:19 UTC
Description of problem:
RHV Administration Portal fails with 404 error even after updating RHV-M. T

Version-Release number of selected component (if applicable):
 ovirt-engine-4.3.9.4-11.el7.noarch

How reproducible:
Unknown at this time

Actual results:
Manager occasionally returns a 404 error and requires ovirt-engine to be restarted to restore functionality

Expected results:
RHV-M / apache works as normal 

Additional info:
Errors such as the following are in server.log:

server.log:2020-08-03 18:52:07,853Z ERROR [org.jboss.resteasy.resteasy_jaxrs.i18n] (default task-3236) RESTEASY002010: Failed to execute: javax.ws.rs.WebApplicationException: HTTP 404 Not Found

This error: "RESTEASY002010: Failed to execute: javax.ws.rs.WebApplicationException: HTTP 404 Not Found"  occurs during the execution of which command in the background is still not known. This has been reported in the following BZ for a lower version of rhvm (4.1): https://bugzilla.redhat.com/show_bug.cgi?id=1467401

Another error from the ui logs: "Uncaught exception: com.google.gwt.event.shared.UmbrellaException: Exception caught: (TypeError) : Cannot read property 'a' of undefine" is reported in the bugzilla: 
https://bugzilla.redhat.com/show_bug.cgi?id=1669182, however which command from the rhvm backend lead to this condition is not known.

Additionally there is some comparison of engine logs for the time corresponding to the error reported in server log (RESTEASY002010: Failed to execute: javax.ws.rs.WebApplicationException: HTTP 404 Not Found), but it only showed the connection exception caused during connecting with the host.

Comment 10 Pavel Novotny 2020-11-01 20:48:34 UTC
Verified in 
ovirt-engine-4.4.3.8-0.1.el8ev.noarch
ovirt-engine-webadmin-portal-4.4.3.8-0.1.el8ev.noarch


The NPE issue in Host detail -> Virtual machines with a migrating VM does no longer reproduce.

Comment 14 errata-xmlrpc 2020-11-24 13:10:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: Red Hat Virtualization security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5179


Note You need to log in before you can comment on or make changes to this bug.